Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## LumiSoft.UI.Controls.Grid
Class WGridAdapter

    java.lang.Object
      LumiSoft.UI.Controls.Grid.WGridAdapter

All Implemented Interfaces:
  java.util.EventListener, WGridListener

    public class WGridAdapter

extends java.lang.Object
implements WGridListener

Constructor Summary
`WGridAdapter()`

Method Summary
`void` | `OnActiveRowChanged(DataRowView dr)` Invoked when active row changed.
`boolean` | `OnAddRow(DataRowView dr)` Invoked when grid needs to add new row.
`boolean` | `OnDeleteRow(DataRowView dr)` Invoked when grid needs to delete row.
`void` | `OnMaxMinButtonPressed(boolean maximized)` Is called when Main grid view maximize/minimize button clicked.
`void` | `OnRowDoubleClicked(DataRowView dr)` Invoked when row double clicked.
`boolean` | `OnUpdateRow(DataRowView dr)` Invoked when grid needs to update row.
`boolean` | `OnValidateCellValue(WGridColumn column, DataRowView dr, java.lang.Object value)` Invoked when grid needs to store cell value.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WGridAdapter

    public WGridAdapter()

Method Detail

### OnActiveRowChanged

    public void OnActiveRowChanged(DataRowView dr)

  Description copied from interface: `WGridListener`
  Invoked when active row changed.

  Specified by:
    `OnActiveRowChanged` in interface `WGridListener`
  Parameters:
    `dr` - Row what is new active row or null if no active row.

### OnRowDoubleClicked

    public void OnRowDoubleClicked(DataRowView dr)

  Description copied from interface: `WGridListener`
  Invoked when row double clicked.

  Specified by:
    `OnRowDoubleClicked` in interface `WGridListener`
  Parameters:
    `dr` - Row what double clicked.

### OnAddRow

    public boolean OnAddRow(DataRowView dr)

  Description copied from interface: `WGridListener`
  Invoked when grid needs to add new row.

  Specified by:
    `OnAddRow` in interface `WGridListener`
  Parameters:
    `dr` - Row what to add.
  Returns:
    Return false to cancel this operation.

### OnDeleteRow

    public boolean OnDeleteRow(DataRowView dr)

  Description copied from interface: `WGridListener`
  Invoked when grid needs to delete row.

  Specified by:
    `OnDeleteRow` in interface `WGridListener`
  Parameters:
    `dr` - Row what to delete.
  Returns:
    Return false to cancel this operation.

### OnUpdateRow

    public boolean OnUpdateRow(DataRowView dr)

  Description copied from interface: `WGridListener`
  Invoked when grid needs to update row.

  Specified by:
    `OnUpdateRow` in interface `WGridListener`
  Parameters:
    `dr` - Row what to update.
  Returns:
    Return false to cancel this operation.

### OnValidateCellValue

    public boolean OnValidateCellValue(WGridColumn column,
                                       DataRowView dr,
                                       java.lang.Object value)

  Description copied from interface: `WGridListener`
  Invoked when grid needs to store cell value.

  Specified by:
    `OnValidateCellValue` in interface `WGridListener`
  Parameters:
    `column` - Column what value to validate.
    `dr` - DataRow what value to validate.
    `value` - Value to validate.
  Returns:
    Return false to cancel this operation.

### OnMaxMinButtonPressed

    public void OnMaxMinButtonPressed(boolean maximized)

  Is called when Main grid view maximize/minimize button clicked.

  Specified by:
    `OnMaxMinButtonPressed` in interface `WGridListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD